### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Attributes
CompoundOption Class Reference
Financial instruments

Compound option on a single asset. More...

`#include <ql/experimental/compoundoption/compoundoption.hpp>`

Inheritance diagram for CompoundOption:
[legend]

List of all members.

## Classes

class | engine
| Compound-option engine base class More...

## Public Member Functions

| CompoundOption (const boost::shared_ptr< StrikedTypePayoff > &motherPayoff, const boost::shared_ptr< Exercise > &motherExercise, const boost::shared_ptr< StrikedTypePayoff > &daughterPayoff, const boost::shared_ptr< Exercise > &daughterExercise)
void | setupArguments (PricingEngine::arguments *) const

## Protected Attributes

boost::shared_ptr< OneAssetOption > | motherOption_

## Detailed Description

Compound option on a single asset.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.